import { Spectrum1D } from 'nmr-load-save';
import { Signal1D } from 'nmr-processing';
export interface TreeNodeData {
    startX: number;
    _startX: number;
    ratio: number;
    multiplicityIndex: number;
    color: string;
}
declare function createTreeNodes(signal: Signal1D, spectrumData: Spectrum1D): (multiplicityIndex: number, jIndices: number[], treeNodesData: TreeNodeData[], startX: number) => TreeNodeData[] | null;
export default createTreeNodes;
