import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { Modal, useOnOff } from 'react-science/ui';
import { ChangeSumModalContents, } from './ChangeSumModalContents';
export default function ChangeSumModal({ renderButton, ...otherProps }) {
    const [isOpenDialog, openDialog, closeDialog] = useOnOff(false);
    return (_jsxs(_Fragment, { children: [renderButton(openDialog), _jsx(Modal, { isOpen: isOpenDialog, onRequestClose: closeDialog, width: 500, height: 400, children: _jsx(ChangeSumModalContents, { ...otherProps, onClose: closeDialog }) })] }));
}
