/// <reference types="react" />
import { DataBaseSearchResultEntry, DatabaseSearchKeywords, Databases } from './DatabasePanel';
type OnClick = React.ButtonHTMLAttributes<HTMLButtonElement>['onClick'];
interface DatabaseSearchOptionsProps {
    databases: Databases;
    defaultDatabase: string;
    keywords: DatabaseSearchKeywords;
    result: DataBaseSearchResultEntry;
    selectedTool: string;
    idCode?: string;
    total: number;
    onKeywordsChange: (k: Partial<DatabaseSearchKeywords>) => void;
    onSettingClick: OnClick;
    onStructureClick: OnClick;
    onDatabaseChange: (databaseKey: string) => void;
}
export declare function DatabaseSearchOptions({ databases, defaultDatabase, keywords, result, selectedTool, idCode, total, onKeywordsChange, onSettingClick, onStructureClick, onDatabaseChange, }: DatabaseSearchOptionsProps): import("react/jsx-runtime").JSX.Element;
export {};
