import { CSSProperties } from 'react';
interface NodeData {
    startX: number;
    _startX: number;
    ratio: number;
    multiplicityIndex: number;
    color: string;
}
interface TreeNodesProps {
    showLabels: boolean;
    startY: number;
    signalID: string;
    levelHeight: number;
    nodesData: NodeData[];
    labelOptions: {
        distance: number;
        fontSize: CSSProperties['fontSize'];
    };
}
declare function TreeNodes({ nodesData, levelHeight, startY, signalID, labelOptions, showLabels, }: TreeNodesProps): import("react/jsx-runtime").JSX.Element;
export default TreeNodes;
