import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { SvgNmrPeaks, SvgNmrPeaksTopLabels } from 'cheminfo-font';
import ActiveButton from '../../elements/ActiveButton';
const style = {
    margin: '0 2px',
};
export function PeaksToggleActions(props) {
    const { disbale, displayingMode, showPeaks, onShowToggle, onDisplayingModeToggle, } = props;
    return (_jsxs(_Fragment, { children: [_jsx(ActiveButton, { style: style, popupTitle: showPeaks ? 'Hide peaks' : 'Show peaks', popupPlacement: "right", onClick: onShowToggle, disabled: disbale, value: showPeaks, children: _jsx(SvgNmrPeaks, { style: { pointerEvents: 'none', fontSize: '12px' } }) }), _jsx(ActiveButton, { style: style, popupTitle: displayingMode === 'spread' ? 'Single Mode' : 'Spread mode', popupPlacement: "right", onClick: onDisplayingModeToggle, disabled: disbale, value: displayingMode === 'spread', children: _jsx(SvgNmrPeaksTopLabels, { style: { pointerEvents: 'none', fontSize: '12px' } }) })] }));
}
