import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { StructureEditor } from 'react-ocl/full';
import { Modal } from 'react-science/ui';
export function DatabaseStructureSearchModal({ onChange, isOpen, idCode, onClose, }) {
    return (_jsxs(Modal, { hasCloseButton: true, isOpen: isOpen, onRequestClose: () => {
            onClose?.();
        }, maxWidth: 1000, children: [_jsx(Modal.Header, { children: _jsx("div", { style: {
                        color: 'rgb(0, 93, 158)',
                        width: '100%',
                        textAlign: 'center',
                    }, children: _jsx("span", { children: "Search by structure" }) }) }), _jsx(Modal.Body, { children: _jsx(StructureEditor, { initialIDCode: idCode, svgMenu: true, fragment: true, onChange: (molFile, molecule, idCode) => onChange(idCode) }) })] }));
}
